# Quorum PGP Key Provisioning

## Requirements

* 2 Operators

* [Personal PGP key pairs](/key-types.md#personal-pgp-keypair) 

* Air-gapped bundle

* Tamper-proofing equipment

* Both operators should print photographic evidence from digital cameras which is stored in a PGP signed repository. The photographs should be of the top and underside of the vacuum sealed object.

    * The operators should verify the commit signatures of the photographs they are printing against a list of permitted PGP keys found in the "ceremonies" repo

* For each new key to be provisioned:

    * 2+ new smart cards

    * 2+ new SD cards

## Procedure

1. Enter the facility with all personnel and required equipment

1. Lock access to the facility for the duration of the ceremony

1. Unseal the Air-Gapped bundle consisting of a air-gapped laptop, "AirgapOS" SD card and "Keychain" SD card

{{ #include ../../../../component-documents/openpgp-setup.md:steps-keyfork}}

#### Sealing

1. Gather all the original items that were in the air-gapped bundle:

    * Air-gapped computer

    * AirgapOS SD card

{{ #include ../../../../component-documents/tamper-evidence-methods.md:vsbwf-procedure-sealing}}


